Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::TLS::Handshake_IO Class Referenceabstract

`#include <tls_handshake_io.h>`

Inheritance diagram for Botan::TLS::Handshake_IO:

## Public Member Functions
virtual void | add_record (const std::vector< uint8_t > &record, Record_Type type, uint64_t sequence_number)=0
virtual std::vector< uint8_t > | format (const std::vector< uint8_t > &handshake_msg, Handshake_Type handshake_type) const =0
virtual std::pair< Handshake_Type, std::vector< uint8_t > > | get_next_record (bool expecting_ccs)=0
| Handshake_IO ()=default
| Handshake_IO (const Handshake_IO &)=delete
virtual Protocol_Version | initial_record_version () const =0
Handshake_IO & | operator= (const Handshake_IO &)=delete
virtual std::vector< uint8_t > | send (const Handshake_Message &msg)=0
virtual bool | timeout_check ()=0
virtual | ~Handshake_IO ()=default

## Detailed Description

Handshake IO Interface

Definition at line 30 of file tls_handshake_io.h.

## Constructor & Destructor Documentation

Botan::TLS::Handshake_IO::Handshake_IO | ( |  | ) |
| default

Botan::TLS::Handshake_IO::Handshake_IO | ( | const Handshake_IO & |  | ) |
| delete

virtual Botan::TLS::Handshake_IO::~Handshake_IO | ( |  | ) |
| virtual default

## Member Function Documentation

virtual void Botan::TLS::Handshake_IO::add_record | ( | const std::vector< uint8_t > & | record,
|  | Record_Type | type,
|  | uint64_t | sequence_number
| ) |  |
| pure virtual

Implemented in Botan::TLS::Datagram_Handshake_IO, and Botan::TLS::Stream_Handshake_IO.

virtual std::vector<uint8_t> Botan::TLS::Handshake_IO::format | ( | const std::vector< uint8_t > & | handshake_msg,
|  | Handshake_Type | handshake_type
| ) |  | const
| pure virtual

Implemented in Botan::TLS::Datagram_Handshake_IO, and Botan::TLS::Stream_Handshake_IO.

virtual std::pair<Handshake_Type, std::vector<uint8_t> > Botan::TLS::Handshake_IO::get_next_record | ( | bool | expecting_ccs | ) |
| pure virtual

Returns (HANDSHAKE_NONE, std::vector<>()) if no message currently available

Implemented in Botan::TLS::Datagram_Handshake_IO, and Botan::TLS::Stream_Handshake_IO.

virtual Protocol_Version Botan::TLS::Handshake_IO::initial_record_version | ( |  | ) | const
| pure virtual

Implemented in Botan::TLS::Datagram_Handshake_IO, and Botan::TLS::Stream_Handshake_IO.

Handshake_IO& Botan::TLS::Handshake_IO::operator= | ( | const Handshake_IO & |  | ) |
| delete

virtual std::vector<uint8_t> Botan::TLS::Handshake_IO::send | ( | const Handshake_Message & | msg | ) |
| pure virtual

Implemented in Botan::TLS::Datagram_Handshake_IO, and Botan::TLS::Stream_Handshake_IO.

Referenced by Botan::TLS::Certificate::Certificate(), Botan::TLS::Certificate_Status::Certificate_Status(), Botan::TLS::Certificate_Verify::Certificate_Verify(), Botan::TLS::Client_Hello::Client_Hello(), Botan::TLS::Client_Key_Exchange::Client_Key_Exchange(), Botan::TLS::Finished::Finished(), Botan::TLS::Hello_Request::Hello_Request(), Botan::TLS::New_Session_Ticket::New_Session_Ticket(), Botan::TLS::Server_Hello::Server_Hello(), Botan::TLS::Server_Hello_Done::Server_Hello_Done(), and Botan::TLS::Server_Key_Exchange::Server_Key_Exchange().

virtual bool Botan::TLS::Handshake_IO::timeout_check | ( |  | ) |
| pure virtual

Implemented in Botan::TLS::Datagram_Handshake_IO, and Botan::TLS::Stream_Handshake_IO.

The documentation for this class was generated from the following file:

- src/lib/tls/tls_handshake_io.h